Cisco 3750 SFP's Problems

Answered Question
Aug 15th, 2007

Hi to all,

Maybe someone could help me out with a similar problem. I receive a few C3750's and when I try to use my SFP's GBIC modules that I use in my network at this moment I receive a err-disable and the port never goes up. I'm using this GBIC's with plenty other equipment including Extreme and Allied Telesis switches and also a Microwave which provide Gigalinks.

The error I receive is this one:

%GBIC_SECURITY_CRYPT-4-VN_DATA_CRC_ERROR: GBIC in port Gi1/0/1 has bad crc

I read and it seems is a problem that the GBIC tries to identify itself as a Cisco one and for sure the EEPROM code would not be acknowledge. I'm using 2 DIFFERENT BRANDS of GBIC's with same results.

My IOS version is: C3750 Software (C3750-IPSERVICES-M), Version 12.2(35)SE2, RELEASE SOFTWARE (fc1)

Also I try to use the commands to avoid error disabling thru detection of this problem, but the ports then only say it's down (not connected):

no errdisable detect cause sfp-config-mismatch

no errdisable detect cause gbic-invalid

errdisable recovery cause gbic-invalid

GigabitEthernet1/0/1 is down, line protocol is down (notconnect)

If someone have an idea how to overcome this problem I'll really appreciate his help.

Best regards,

Nelson

I have this problem too.
0 votes
Correct Answer by ankbhasi about 9 years 3 months ago

Hi Nelson,

Third party sfp gbics will not work and will not be recognised by the switch. You have to use Cisco SFPs only.

Regards,

Ankur

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4 (2 ratings)
Loading.
Correct Answer
ankbhasi Wed, 08/15/2007 - 08:27

Hi Nelson,

Third party sfp gbics will not work and will not be recognised by the switch. You have to use Cisco SFPs only.

Regards,

Ankur

nelsoncaballero Wed, 08/15/2007 - 08:32

That's bad...cause the ones I have work with a lot of other equipments :S It's a shame.

Thank you very much for your help :)

Nelson

sabbasaun Wed, 08/15/2007 - 12:54

This is not entirely true as third party support _was_ available one some IOS versions and platforms including the 3750s (http://www.cisco.com/en/US/products/hw/switches/ps5023/products_qanda_item09186a00801b0971.shtml)

According to the above, starting with IOS 12.2(25)SE third party SFPs are supported. To allow third party SFPs you would have to issue the "service unsupported-transceiver" command.

This got you decent results at the price of some error messages and other issues. However, it looks like later IOS versions (I'm using 12.2(37)SE does not support this command.

nelsoncaballero Fri, 08/17/2007 - 08:14

Thank you for your reply. I think I'll have to change all my SFP's (that are working actually) for the Cisco one's (IMO another way to make more money from us).

Hopefully they integrate this command again in newer releases, to save us (customers) from headaches and expenses.

Best regards,

Actions

This Discussion